Go
package example
import (
context "context"
triggers "github.com/auth0/go-auth0/management/management/actions/triggers"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &triggers.UpdateActionBindingsRequestContent{}
client.Actions.Triggers.Bindings.UpdateMany(
context.TODO(),
"triggerId",
request,
)
}{
"bindings": [
{
"id": "4a881e22-0562-4178-bc91-b0f2b321dc13",
"display_name": "my-action-1",
"action": {
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"deployed_version": {
"id": "12a3b9e6-06e6-4a29-96bf-90c82fe79a0d",
"action_id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"deployed": true,
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"status": "built",
"number": 1,
"errors": [
{
"id": "<string>",
"msg": "<string>",
"url": "<string>"
}
],
"action": {
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z"
},
"built_at": "2021-01-01T00:00:00.000Z",
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
},
"installed_integration_id": "7d2bc0c9-c0c2-433a-9f4e-86ef80270aad",
"integration": {
"id": "8e9fe2d0-a2fc-4c8c-9e35-dae5afadb70b",
"catalog_id": "awesome-auth0-integration",
"url_slug": "awesome-auth0-integration-slug",
"partner_id": "b8575c12-8d9d-4b5c-b28e-671fe9d39029",
"name": "Example Auth0 integration",
"description": "An awesome Auth0 integration",
"short_description": "Awesome Auth0 integration",
"logo": "<string>",
"feature_type": "action",
"terms_of_use_url": "<string>",
"privacy_policy_url": "<string>",
"public_support_link": "<string>",
"current_release": {
"id": "<string>",
"trigger": {
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
},
"semver": {
"major": 1,
"minor": 1
},
"required_secrets": [
{
"name": "<string>",
"required": true,
"optional": true,
"label": "<string>",
"description": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
],
"required_configuration": [
{
"name": "<string>",
"required": true,
"optional": true,
"label": "<string>",
"description": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
]
},
"created_at": "2021-06-21T15:47:29.072Z",
"updated_at": "2021-06-21T15:47:29.072Z"
},
"status": "built",
"built_at": "2021-01-01T00:00:00.000Z",
"deploy": false,
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
},
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z"
}
]
}Update trigger bindings
Update the actions that are bound (i.e. attached) to a trigger. Once an action is created and deployed, it must be attached (i.e. bound) to a trigger so that it will be executed as part of a flow. The order in which the actions are provided will determine the order in which they are executed.
PATCH
https://{tenantDomain}/api/v2
/
actions
/
triggers
/
{triggerId}
/
bindings
Go
package example
import (
context "context"
triggers "github.com/auth0/go-auth0/management/management/actions/triggers"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &triggers.UpdateActionBindingsRequestContent{}
client.Actions.Triggers.Bindings.UpdateMany(
context.TODO(),
"triggerId",
request,
)
}{
"bindings": [
{
"id": "4a881e22-0562-4178-bc91-b0f2b321dc13",
"display_name": "my-action-1",
"action": {
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"deployed_version": {
"id": "12a3b9e6-06e6-4a29-96bf-90c82fe79a0d",
"action_id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"deployed": true,
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"status": "built",
"number": 1,
"errors": [
{
"id": "<string>",
"msg": "<string>",
"url": "<string>"
}
],
"action": {
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z"
},
"built_at": "2021-01-01T00:00:00.000Z",
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
},
"installed_integration_id": "7d2bc0c9-c0c2-433a-9f4e-86ef80270aad",
"integration": {
"id": "8e9fe2d0-a2fc-4c8c-9e35-dae5afadb70b",
"catalog_id": "awesome-auth0-integration",
"url_slug": "awesome-auth0-integration-slug",
"partner_id": "b8575c12-8d9d-4b5c-b28e-671fe9d39029",
"name": "Example Auth0 integration",
"description": "An awesome Auth0 integration",
"short_description": "Awesome Auth0 integration",
"logo": "<string>",
"feature_type": "action",
"terms_of_use_url": "<string>",
"privacy_policy_url": "<string>",
"public_support_link": "<string>",
"current_release": {
"id": "<string>",
"trigger": {
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
},
"semver": {
"major": 1,
"minor": 1
},
"required_secrets": [
{
"name": "<string>",
"required": true,
"optional": true,
"label": "<string>",
"description": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
],
"required_configuration": [
{
"name": "<string>",
"required": true,
"optional": true,
"label": "<string>",
"description": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
]
},
"created_at": "2021-06-21T15:47:29.072Z",
"updated_at": "2021-06-21T15:47:29.072Z"
},
"status": "built",
"built_at": "2021-01-01T00:00:00.000Z",
"deploy": false,
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
},
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z"
}
]
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
An actions extensibility point.
Available options:
post-login, credentials-exchange, pre-user-registration, post-user-registration, post-change-password, send-phone-message, custom-phone-provider, custom-email-provider, password-reset-post-challenge, custom-token-exchange, event-stream, password-hash-migration, login-post-identifier, signup-post-identifier Body
application/jsonapplication/x-www-form-urlencoded
The actions that will be bound to this trigger. The order in which they are included will be the order in which they are executed.
Show child attributes
Show child attributes
Response
The bindings were updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I